import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { vehicle } from "./vehicle";

@Entity()
export class vehicleType {
  @PrimaryGeneratedColumn("uuid")
  id: string;

  @Column({ type: "varchar", length: 255 })
  type: string;

  @Column({ type: "text", nullable: true })
  description: string;

  @OneToMany(() => vehicle, (e) => e.vehicleType, { cascade: ["insert"] })
  vehicle: vehicle[];

  inspectionPlans: Array<any>;
}
