import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { equipment } from "./equipment";

@Entity()
export class equipmentType {
  @PrimaryGeneratedColumn("uuid")
  id: string;

  @Column({ type: "varchar", length: 255 })
  type: string;

  @Column({ type: "text", nullable: true })
  description: string;

  @OneToMany(() => equipment, (e) => e.equipmentType, { cascade: ["insert"] })
  equipment: equipment[];

  inspectionPlans: Array<any>;
}
